Modify

Opened 3 months ago

Closed 3 months ago

Last modified 3 months ago

#16695 closed enhancement (fixed)

Should not ignore remarks from overpass

Reported by: naoliv Owned by: team
Priority: normal Milestone: 18.09
Component: Core Version:
Keywords: Cc:

Description

Try to export this query https://overpass-turbo.eu/s/Bve to JOSM (Export → load data into an OSM editor: JOSM)

JOSM says No data found in this area while printing INFO: Undefined element 'remark' found in input stream. Skipping. in console.

But it seems that we should actually get the result from remark displayed to the user (since it contains important information to understand the problem):

<?xml version="1.0" encoding="UTF-8"?>
<osm version="0.6" generator="Overpass API 0.7.55.4 3079d8ea">
<note>The data included in this document is from www.openstreetmap.org. The data is made available under ODbL.</note>
<meta osm_base="2018-08-30T12:46:02Z" areas="2018-08-30T12:40:02Z"/>

<remark> runtime error: Query ran out of memory in "query" at line 5. It would need at least 535 MB of RAM to continue. </remark>

</osm>

Could JOSM display the remarks from overpass?

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-08-29 23:16:52 +0200 (Wed, 29 Aug 2018)
Revision:14204
Build-Date:2018-08-30 01:32:31
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (14204 en) Linux Debian GNU/Linux testing (buster)
Memory Usage: 833 MB / 7168 MB (438 MB allocated, but free)
Java version: 10.0.2+13-Debian-1, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1600x900, :0.1 1280x1024
Maximum Screen Size: 1600x1024
Java package: openjdk-10-jre:amd64-10.0.2+13-1
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-21
VM arguments: [--add-modules=java.activation,java.se.ee, -Dawt.useSystemAAFontSettings=gasp]
Program arguments: [--language=en]
Dataset consistency test: No problems found

Attachments (2)

nodata.osm (434 bytes) - added by Don-vip 3 months ago.
nodata.png (7.8 KB) - added by Don-vip 3 months ago.

Download all attachments as: .zip

Change History (6)

comment:1 Changed 3 months ago by Don-vip

Same output in JSON:

{
  "version": 0.6,
  "generator": "Overpass API 0.7.55.4 3079d8ea",
  "osm3s": {
    "timestamp_osm_base": "2018-09-01T14:51:02Z",
    "timestamp_areas_base": "2018-09-01T14:10:02Z",
    "copyright": "The data included in this document is from www.openstreetmap.org. The data is made available under ODbL."
  },
  "elements": [



  ],
"remark": "runtime error: Query ran out of memory in \"query\" at line 5. It would need at least 535 MB of RAM to continue."
}

comment:2 Changed 3 months ago by Don-vip

Milestone: 18.09

Changed 3 months ago by Don-vip

Attachment: nodata.osm added

comment:3 Changed 3 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 14219/josm:

fix #16695 - display remark from Overpass API when a download returns no data

Changed 3 months ago by Don-vip

Attachment: nodata.png added

comment:4 Changed 3 months ago by Don-vip

This is what you get now:


Last edited 3 months ago by Don-vip (previous) (diff)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.